Summary:	Utilities for managing processes on your system.
Name:		psmisc
Version:	21.6
Release:	1
License:	distributable
Group:		Applications/System
Source0:	http://easynews.dl.sourceforge.net/sourceforge/psmisc/%{name}-%{version}.tar.gz
Patch0:		psmisc-20.2-56186.patch
### Patch1:		psmisc-21.5-selinux.patch
### Patch2:		psmisc-21.5-term.patch
BuildRequires:	libtermcap-devel, libselinux-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
The psmisc package contains utilities for managing processes on your
system: pstree, killall and fuser.  The pstree command displays a tree
structure of all of the running processes on your system.  The killall
command sends a specified signal (SIGTERM if nothing is specified) to
processes identified by name.  The fuser command identifies the PIDs
of processes that are using specified files or filesystems.

%files -f %{name}.lang
  %defattr(0444,root,root,0555)
  %doc %{_mandir}/man1/*
  %attr(0510,root,admin)	%{_root_sbindir}/fuser
  %attr(0500,root,root)		%{_bindir}/killall
  %attr(0511,root,root)		%{_bindir}/pstree

%prep
%setup -q
%patch0 -p1
### %patch1 -p1
### %patch2 -p1

%build
  perl -pi -e "s/^CFLAGS =/CFLAGS = $RPM_OPT_FLAGS -D_GNU_SOURCE/g" */Makefile.*

  %configure --prefix=%{_prefix}
  make %{_smp_mflags} CFLAGS="-I/usr/include/ncurses $RPM_OPT_FLAGS"

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make install DESTDIR="$RPM_BUILD_ROOT"

  install -d        $RPM_BUILD_ROOT/%{_root_sbindir}
  mv $RPM_BUILD_ROOT/%{_bindir}/fuser $RPM_BUILD_ROOT/%{_root_sbindir}

  # Remove unpackaged files
  rm -f  $RPM_BUILD_ROOT/%{_bindir}/pstree.x11

  %find_lang %{name}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 29 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 21.6, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
